Bug 474290 - [Intel 5.4 FEAT] Support 64 bit UEFI on x86_64 platforms
[Intel 5.4 FEAT] Support 64 bit UEFI on x86_64 platforms
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution (Show other bugs)
5.4
All Linux
high Severity medium
: rc
: 5.4
Assigned To: RHEL Product and Program Management
Release Test Team
:
Depends On:
Blocks: 452016 483784
  Show dependency treegraph
 
Reported: 2008-12-03 01:10 EST by Jane Lv
Modified: 2009-03-10 14:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 14:25:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jane Lv 2008-12-03 01:10:18 EST
1.  Feature Overview:
     a. Name of feature:
        Support 64 bit UEFI on x86_64 platforms

     b. Feature Description
        UEFI stands for "Unified Extensible Firmware Interface".  It provides a standard environment for booting an operating system and running pre-boot applications.

We would like RHEL5.4 to support 64 bit UEFI on x86_64 platforms.  Most of the work will be done in grub and the installer.  Also kernel support is needed.  Upstream kernel 2.6.24 and later version have support for UEFI.


2.  Feature Details:
     a. Architectures:
        64 bit Intel EM64T and AMD64

     b. Bugzilla Dependencies:
        None.

     c. Drivers or hardware dependencies:
        Supported by multiple hardware vendors: IBM, HP, Dell, and Intel.

     d. Upstream acceptance information:
        2.6.24 has UEFI support.

     e. External links:
        http://www.uefi.org/

     f. Severity (U,H,M,L):
         Medium

     g. Target Release Date:

3. Business Justification:
     a. Why is this feature needed?
        Hardware vendors are switching over to UEFI, estimate is that over 50% of hardware will be UEFI by 2010.


     b. What hardware does this enable?
        x86_64 platforms.

     c. Forecast, impact on revenue?
        None.

     d. Any configuration info?
        No for now.

     e. Are there other dependencies (drivers).
        None.

4. Primary contact at Red Hat, email, phone (chat)
     John Villalovos
     jvillalo@redhat.com

5. Primary contact at Partner, email, phone (chat)
     Gabbert, Keve A, +1 503 264 7597
     keve.a.gabbert@intel.com
Comment 1 John Villalovos 2009-01-20 21:22:57 EST
Any status on UEFI for RHEL 5.4?
Comment 2 Keve Gabbert 2009-02-14 12:51:10 EST
Any status on UEFI for RHEL 5.4?
Comment 3 Ronald Pacheco 2009-02-17 08:25:44 EST
All the install path code is not yet upstream or in Fedora.
Comment 4 Keve Gabbert 2009-02-27 17:04:32 EST
please be more explicite as to what is needed to get UEFI support in RHEL 5.4.
Comment 6 Keve Gabbert 2009-03-10 14:25:34 EDT
retracting this request.

Note You need to log in before you can comment on or make changes to this bug.